//-----------------------------------------------------------
//
//-----------------------------------------------------------
class ChosenHud extends HudCDeathmatch;


simulated function UpdateRankAndSpread(Canvas C)
{
    local int i;

	if ( (Scoreboard == None) || !Scoreboard.UpdateGRI() )
		return;

    for( i=0 ; i<PlayerOwner.GameReplicationInfo.PRIArray.Length ; i++ )
         if(PawnOwnerPRI == PlayerOwner.GameReplicationInfo.PRIArray[i])
         {
            myRank.Value = (i+1);
            break;
         }

	myScore.Value = Min (ChosenPlayerReplicationInfo(PawnOwnerPRI).chosenLevel, 999);  // max display space
	if ( PawnOwnerPRI == PlayerOwner.GameReplicationInfo.PRIArray[0] )
	{
		if ( PlayerOwner.GameReplicationInfo.PRIArray.Length > 1 )
			mySpread.Value = Min (ChosenPlayerReplicationInfo(PawnOwnerPRI).chosenLevel - ChosenPlayerReplicationInfo(PlayerOwner.GameReplicationInfo.PRIArray[1]).chosenLevel, 999);
		else
			mySpread.Value = 0;
	}
	else
		mySpread.Value = Min (ChosenPlayerReplicationInfo(PawnOwnerPRI).chosenLevel - ChosenPlayerReplicationInfo(PlayerOwner.GameReplicationInfo.PRIArray[0]).chosenLevel, 999);

    if( bShowPoints )
    {
		DrawSpriteWidget( C, MyScoreBackground );
		MyScoreBackground.Tints[TeamIndex] = HudColorBlack;
		MyScoreBackground.Tints[TeamIndex].A = 150;

        DrawNumericWidget (C, myScore, DigitsBig);
        if ( C.ClipX >= 640 )
			DrawNumericWidget (C, mySpread, DigitsBig);
        DrawNumericWidget (C, myRank, DigitsBig);
    }
}


simulated function CalculateScore()
{
    ScoreDiff = CurScore;
    CurScore = ChosenPlayerReplicationInfo(PawnOwnerPRI).chosenLevel;

}

defaultproperties
{
     TargetMaterial=TexRotator'HUDContent.Reticles.rotReticle001'
}
