//-----------------------------------------------------------
//
//-----------------------------------------------------------
class ChosenMessage extends CriticalEventPlus
     abstract;

var(Message) localized string OutMessage;

//
// Messages common to GameInfo derivatives.
//
static function string GetString(
    optional int Switch,
    optional PlayerReplicationInfo RelatedPRI_1,
    optional PlayerReplicationInfo RelatedPRI_2,
    optional Object OptionalObject
    )
{
  local string ChosenMessage, ChosenKilled;

  ChosenMessage = "has been Chosen.";
  ChosenKilled = "has killed the Chosen One.";
  //canSwitchAgain = "You are now able to switch...";


    switch (Switch)
    {
        case 1:
            return RelatedPRI_1.PlayerName@ChosenMessage;
            break;
        case 2:
            return RelatedPRI_1.PlayerName@ChosenKilled;
            break;
    }
    return "";
}

defaultproperties
{
     StackMode=SM_Down
     PosY=0.650000
}
