//-----------------------------------------------------------
//
//-----------------------------------------------------------
class ChosenMoney extends Inventory;
var int ChosenMoneyAmount;
var int InitialAmount; // sjs					// Amount of Ammo current available

//
// Toss this item out.
//
function DropMoney(vector StartLocation, int money)
{
	local Pickup P;

    if (money <=0)
      return;

	if ( Instigator != None )
	{
		DetachFromPawn(Instigator);
		Instigator.DeleteInventory(self);
	}
	SetDefaultDisplayProperties();
	Instigator = None;
	StopAnimating();
	GotoState('');

	P = spawn(PickupClass,,,StartLocation);
	if ( P == None )
	{
		//level.game.Broadcast(self, "Destroyed pickup");
        destroy();
		return;
	}
	ChosenMoneyPickup(P).ChosenPickupAmount = money;
	P.InitDroppedPickupFor(self);
	P.Velocity = Velocity;
	Velocity = vect(0,0,0);
}

function bool HandlePickupQuery( pickup Item )
{
	if ( class == item.InventoryType )
	{
		item.AnnouncePickup(Pawn(Owner));
		AddChosenMoney(ChosenMoneyPickup(item).ChosenPickupAmount);
        item.SetRespawn();
        // add the chosenLevel to the chosen pawn
	    if(ChosenPawn(Owner)!= none)
	    {
          ChosenPawn(Owner).IncreaseChosenLevel();
          if(ChosenPawn(Owner).CheckChosen())
             ChosenPawn(Owner).SetChosen();
          //Level.Game.Broadcast(self, Pawn(Owner).PlayerReplicationInfo.Name$" got some Chosen Money.  Now has "$ChosenPawn(Owner).chosenLevel);
        }
        //item.Destroy();
        return true;
	}
	if ( Inventory == None )
		return false;
	return Inventory.HandlePickupQuery(Item);
}

function bool AddChosenMoney(int ChosenMoneyToAdd)
{
	ChosenMoneyAmount = ChosenMoneyAmount+ChosenMoneyToAdd;

    if(ChosenPawn(Owner) != none)
    {
      //level.Game.Broadcast(self, ChosenMoneyAmount);
      if(ChosenPawn(Owner).CheckChosen())
      {
	    ChosenPawn(Owner).SetChosen();
      }
    }
    return true;
}

defaultproperties
{
     ChosenMoneyAmount = 1
     InitialAmount = 0
     PickupClass=Class'Chosen.ChosenMoneyPickup'
     IconMaterial=Texture'InterfaceContent.HUD.SkinA'
     IconCoords=(X1=545,X2=644,Y2=74)
     ItemName="Chosen Level Up"
}
