//-----------------------------------------------------------
//
//-----------------------------------------------------------
class ChosenMoneyPickup extends Pickup;


var int ChosenPickupAmount;

function float DetourWeight(Pawn Other,float PathWeight)
{
	return 2;
}

function float BotDesireability(Pawn Bot)
{
	return 2;
}

function inventory SpawnCopy( Pawn Other )
{
	local Inventory Copy;

	Copy = Super.SpawnCopy(Other);
	ChosenMoney(Copy).ChosenMoneyAmount = ChosenPickupAmount;
    if(Other.IsA('ChosenPawn'))
    {
      ChosenPawn(Other).IncreaseChosenLevel();
      if(ChosenPawn(Other).CheckChosen())
        ChosenPawn(Other).SetChosen();
    }
    return Copy;
}

function SetRespawn()
{
    Destroy();
}
function RespawnEffect()
{
	spawn(class'PlayerSpawnEffect');
}

defaultproperties
{
     ChosenPickupAmount=1
     MaxDesireability=2
     InventoryType=Class'Chosen.ChosenMoney'
     PickupMessage="You picked up Chosen Level Up."
     PickupSound=Sound'PickupSounds.FlakAmmoPickup'
     PickupForce="FlakAmmoPickup"
     DrawType=DT_StaticMesh
     //StaticMesh=StaticMesh'WeaponStaticMesh.FlakAmmoPickup'
     StaticMesh=StaticMesh'Aw-2004Particles.PlasmaSphere'
     CollisionHeight=8.250000
     RespawnTime=30.000000
     Texture=Texture'Engine.S_Ammo'
     AmbientGlow=255
     MessageClass=UnrealGame.PickupMessagePlus
}

