//-----------------------------------------------------------
//
//-----------------------------------------------------------
class ChosenBot extends xBot;

function Tick(float DeltaTime)
{
 if(ChosenMatch(Level.Game).theChosenOne != none)
 {
   if(ChosenMatch(Level.Game).theChosenOne != ChosenPawn(self.Pawn))
   {
     Enemy = ChosenMatch(Level.Game).theChosenOne;
   }
 }
 if((ChosenPawn(Enemy) != none)&& (ChosenPawn(Enemy).isFrozen))
   findNewEnemy();
 super.Tick(DeltaTime);
}

function findNewEnemy()
{
  local ChosenPawn tempPawn;

  foreach allactors(class'ChosenPawn', tempPawn)
  {
    if((tempPawn.Controller != none)&&(tempPawn.Controller != self))
    {
      if(!tempPawn.isFrozen)
        Enemy = tempPawn;
    }
  }
}

function Freeze()
{
    ChosenPawn(Pawn).chosenHealth = -100;
    GoToState('Frozen');
}

state Frozen
{  ignores SeePlayer, EnemyNotVisible, HearNoise, ReceiveWarning, NotifyLanded, NotifyPhysicsVolumeChange,
		NotifyTakeHit,NotifyHeadVolumeChange,NotifyLanded,NotifyHitWall,NotifyBump;

   function BeginState()
   {
      ChosenPawn(Pawn).isFrozen = true;
   }

   function EndState()
   {
      ChosenPawn(Pawn).chosenHealth = 100;
   }

   Begin:
     if(ChosenPawn(Pawn).isFrozen)
     {
       ChosenPawn(Pawn).SetPhysics(PHYS_None);
       ChosenPawn(Pawn).PlayVictoryAnimation();
       ChosenPawn(Pawn).StopWeaponFiring();
     }
     else
     {
       ChosenPawn(Pawn).chosenHealth = 100;
       GotoState('Hunting');
     }
     Sleep(0.5);
     GotoState('Frozen', 'Begin');
}



DefaultProperties
{
     PlayerReplicationInfoClass=Class'Chosen.ChosenPlayerReplicationInfo'
}
