//-----------------------------------------------------------
//
//-----------------------------------------------------------
class ChosenSquadAI extends DMSquad;


function bool CheckSquadObjectives(Bot B)
{
   // returning false here will allow the rest of the assignsquadobjectives to
   // go on
   return false;
}

function bool AssignSquadResponsibility(Bot B)
{
	local Pawn PlayerPawn;
	local Controller C;
	local actor MoveTarget;
	local ChosenMoneyPickup checkPickup, goalPickup;

    foreach allactors(class'ChosenMoneyPickup', checkPickup)
    {
      if(checkPickup != none)
        goalPickup = checkPickup;
    }

	AssignCombo(B);
	if ( CheckSquadObjectives(B) )
	  return true;
	if ( B.Enemy == None )
	{
        // if the bot has no enemy, then maybe look for the potato first
        if(goalPickup != none)
        {
            // if gets here, set the move target = to the potato
            if ( B.ActorReachable(goalPickup) )
			   MoveTarget = goalPickup;
            else
			   MoveTarget = B.FindPathToward(goalPickup,true);
            if ( MoveTarget != None )
			{
				B.MoveTarget = MoveTarget;
				B.SetAttractionState();
				return true;
			}
        }


		// suggest inventory hunt
		if ( (B.Skill > 5) && (Level.Game.NumBots == 1) && ((B.Pawn.Weapon.AIRating > 0.7) || B.Pawn.Weapon.bSniping) )
		{
			// maybe hunt player - only if have a fix on player location from sounds he's made
			for ( C=Level.ControllerList; C!=None; C=C.NextController )
				if ( (PlayerController(C) != None) && (C.Pawn != None) )
				{
					PlayerPawn = C.Pawn;
					if ( (Level.TimeSeconds - C.Pawn.Noise1Time < 5) || (Level.TimeSeconds - C.Pawn.Noise2Time < 5) )
					{
						B.bHuntPlayer = true;
						if ( (Level.TimeSeconds - C.Pawn.Noise1Time < 2) || (Level.TimeSeconds - C.Pawn.Noise2Time < 2) )
							B.LastKnownPosition = C.Pawn.Location;
						break;
					}
					else if ( (VSize(B.LastKnownPosition - C.Pawn.Location) < 800)
								|| (VSize(B.LastKillerPosition - C.Pawn.Location) < 800) )
					{
						B.bHuntPlayer = true;
						break;
					}
				}
		}
		if ( B.FindInventoryGoal(0) )
		{
			B.bHuntPlayer = false;
			B.SetAttractionState();
			return true;
		}
		if ( B.bHuntPlayer )
		{
			B.bHuntPlayer = false;
			B.GoalString = "Hunt Player";
			if ( B.ActorReachable(PlayerPawn) )
				MoveTarget = PlayerPawn;
			else
				MoveTarget = B.FindPathToward(PlayerPawn,true);
			if ( MoveTarget != None )
			{
				B.MoveTarget = MoveTarget;
				if ( B.CanSee(PlayerPawn) )
					SetEnemy(B,PlayerPawn);
				B.SetAttractionState();
				return true;
			}
		}

		// roam around level?
		return B.FindRoamDest();
	}
	return false;
}
DefaultProperties
{

}
